%define anolis_release 1

%global srcname eventlet
%global _description %{expand:
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.}

%bcond_with  tests

Name:           python-%{srcname}
Version:        0.33.3
Release:        %{anolis_release}%{?dist}
Summary:        Highly concurrent networking library
License:        MIT

URL:            https://eventlet.net
Source:         %pypi_source %{srcname}

BuildArch:      noarch

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-nose
BuildRequires:  python3-pyOpenSSL
%endif

%description -n python3-%{srcname} %{_description}

%package -n python3-%{srcname}-doc
Summary:        Documentation for python3-%{srcname}
BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-zmq

%description -n python3-%{srcname}-doc
%{summary}.

%prep
%setup -n %{srcname}-%{version} -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%make_build -C doc html

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{with tests}
# Disable setting up dns (we have no /etc/resolv.conf in mock
export EVENTLET_NO_GREENDNS=yes
nosetests-%{python3_version} -v -e greendns_test -e socket_test -e test_patcher_existing_locks_locked -e test_017_ssl_zeroreturnerror -e test_018b_http_10_keepalive_framing -e test_fork_after_monkey_patch
%else
%pyproject_check_import -t
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{srcname}-doc
%doc README.rst AUTHORS NEWS
%doc doc/_build/html

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 0.33.3-1
- Import package for anolis 23
